Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.
/v1/accountsPOST
Authorization
bearerAuth *Bearer <token>
Token in: header
Header Parameters
idempotency-key *string
Min length: 1Max length: 128
Request Bodyapplication/jsonrequired
login *string
Min length: 1Max length: 32
password *string
Min length: 1Max length: 256
server *string
Min length: 1Max length: 160
Response
201 · Account linked
id *string
login *string
server *string
status *"pending" | "active" | "invalid" | "disabled"
createdAt *string
400 · Invalid request
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
401 · Invalid API key
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
403 · Insufficient API key scope
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
409 · Account is not active
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
413 · Request body too large
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
422 · The broker or terminal rejected the operation
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
429 · Rate limit exceeded
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
500 · Unexpected failure
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
503 · Capacity exhausted or upstream unavailable
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
504 · Upstream request timed out
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
Request example
curl -X POST "https://api.fivesocket.com/v1/accounts" \ -H "idempotency-key: <idempotency-key>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "login": "string", "password": "string", "server": "string" }'